/*
 * 08/04/2002
 *
 * SQLTokenMarker
 * Copyright (C) 2002 Vouriot Thierry
 * thierry.vouriot@free.fr
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package org.gjt.sp.jedit.syntax;

import javax.swing.text.Segment;

/** TokenMarker pour le langage SQL
 */
public class SQLTokenMarker extends CTokenMarker {
    
    public SQLTokenMarker() {
        super(false, false, getKeywords());
    }
    
    public static KeywordMap getKeywords() {
        if (sqlKeywords == null) {
            sqlKeywords = new KeywordMap(false);
            sqlKeywords.add("select", Token.KEYWORD1);
            sqlKeywords.add("from", Token.KEYWORD1);
            sqlKeywords.add("where", Token.KEYWORD1);
            sqlKeywords.add("between", Token.KEYWORD1);
            sqlKeywords.add("like", Token.KEYWORD1);
            sqlKeywords.add("having", Token.KEYWORD1);
            sqlKeywords.add("order", Token.KEYWORD1);
            sqlKeywords.add("by", Token.KEYWORD1);
            sqlKeywords.add("exists", Token.KEYWORD1);
            sqlKeywords.add("insert", Token.KEYWORD1);
            sqlKeywords.add("into", Token.KEYWORD1);
            sqlKeywords.add("values", Token.KEYWORD1);
            sqlKeywords.add("delete", Token.KEYWORD1);
            sqlKeywords.add("update", Token.KEYWORD1);
            sqlKeywords.add("set", Token.KEYWORD1);
            sqlKeywords.add("commit", Token.KEYWORD1);
            sqlKeywords.add("rollback", Token.KEYWORD1);
            sqlKeywords.add("create", Token.KEYWORD1);
            sqlKeywords.add("table", Token.KEYWORD1);
            sqlKeywords.add("as", Token.KEYWORD1);
            sqlKeywords.add("default", Token.KEYWORD1);
            sqlKeywords.add("unique", Token.KEYWORD1);
            sqlKeywords.add("primary", Token.KEYWORD1);
            sqlKeywords.add("key", Token.KEYWORD1);
            sqlKeywords.add("references", Token.KEYWORD1);
            sqlKeywords.add("on", Token.KEYWORD1);
            sqlKeywords.add("cascade", Token.KEYWORD1);
            sqlKeywords.add("check", Token.KEYWORD1);
            sqlKeywords.add("constraint", Token.KEYWORD1);
            sqlKeywords.add("foreign", Token.KEYWORD1);
            sqlKeywords.add("object", Token.KEYWORD1);
            sqlKeywords.add("drop", Token.KEYWORD1);
            sqlKeywords.add("rename", Token.KEYWORD1);
            sqlKeywords.add("synonym", Token.KEYWORD1);
            sqlKeywords.add("alter", Token.KEYWORD1);
            sqlKeywords.add("add", Token.KEYWORD1);
            sqlKeywords.add("modify", Token.KEYWORD1);
            sqlKeywords.add("enable", Token.KEYWORD1);
            sqlKeywords.add("disable", Token.KEYWORD1);
            sqlKeywords.add("index", Token.KEYWORD1);
            sqlKeywords.add("view", Token.KEYWORD1);
            sqlKeywords.add("with", Token.KEYWORD1);
            sqlKeywords.add("option", Token.KEYWORD1);
            sqlKeywords.add("grant", Token.KEYWORD1);
            sqlKeywords.add("to", Token.KEYWORD1);
            sqlKeywords.add("public", Token.KEYWORD1);
            sqlKeywords.add("admin", Token.KEYWORD1);
            sqlKeywords.add("connect", Token.KEYWORD1);
            sqlKeywords.add("resource", Token.KEYWORD1);
            sqlKeywords.add("dba", Token.KEYWORD1);
            sqlKeywords.add("revoke", Token.KEYWORD1);
            sqlKeywords.add("all", Token.KEYWORD1);
            sqlKeywords.add("role", Token.KEYWORD1);
            sqlKeywords.add("identified", Token.KEYWORD1);
            sqlKeywords.add("except", Token.KEYWORD1);
            sqlKeywords.add("none", Token.KEYWORD1);
            sqlKeywords.add("tablespace", Token.KEYWORD1);
            sqlKeywords.add("quota", Token.KEYWORD1);
            sqlKeywords.add("unlimited", Token.KEYWORD1);
            sqlKeywords.add("profile", Token.KEYWORD1);
            
            sqlKeywords.add("char", Token.KEYWORD3);
            sqlKeywords.add("varchar2", Token.KEYWORD3);
            sqlKeywords.add("varchar", Token.KEYWORD3);
            sqlKeywords.add("number", Token.KEYWORD3);
            sqlKeywords.add("date", Token.KEYWORD3);
            sqlKeywords.add("long", Token.KEYWORD3);
            
            sqlKeywords.add("null", Token.LITERAL2);
            sqlKeywords.add("false", Token.LITERAL2);
            sqlKeywords.add("true", Token.LITERAL2);
            
            sqlKeywords.add("distinct", Token.KEYWORD2);
            sqlKeywords.add("and", Token.KEYWORD2);
            sqlKeywords.add("or", Token.KEYWORD2);
            sqlKeywords.add("in", Token.KEYWORD2);
            sqlKeywords.add("not", Token.KEYWORD2);
            sqlKeywords.add("is", Token.KEYWORD2);
            sqlKeywords.add("union", Token.KEYWORD2);
            sqlKeywords.add("intersect", Token.KEYWORD2);
            sqlKeywords.add("minus", Token.KEYWORD2);
            
            sqlKeywords.add("abs", Token.LITERAL1);
            sqlKeywords.add("ceil", Token.LITERAL1);
            sqlKeywords.add("floor", Token.LITERAL1);
            sqlKeywords.add("mod", Token.LITERAL1);
            sqlKeywords.add("power", Token.LITERAL1);
            sqlKeywords.add("round", Token.LITERAL1);
            sqlKeywords.add("trunc", Token.LITERAL1);
            sqlKeywords.add("sqrt", Token.LITERAL1);
            sqlKeywords.add("least", Token.LITERAL1);
            sqlKeywords.add("greatest", Token.LITERAL1);
            sqlKeywords.add("length", Token.LITERAL1);
            sqlKeywords.add("upper", Token.LITERAL1);
            sqlKeywords.add("lower", Token.LITERAL1);
            sqlKeywords.add("initcap", Token.LITERAL1);
            sqlKeywords.add("substr", Token.LITERAL1);
            sqlKeywords.add("add_months", Token.LITERAL1);
            sqlKeywords.add("months_between", Token.LITERAL1);
            sqlKeywords.add("next_day", Token.LITERAL1);
            sqlKeywords.add("sysdate", Token.LITERAL1);
            sqlKeywords.add("to_char", Token.LITERAL1);
            sqlKeywords.add("to_date", Token.LITERAL1);
            sqlKeywords.add("to_number", Token.LITERAL1);
            sqlKeywords.add("avg", Token.LITERAL1);
            sqlKeywords.add("count", Token.LITERAL1);
            sqlKeywords.add("max", Token.LITERAL1);
            sqlKeywords.add("min", Token.LITERAL1);
            sqlKeywords.add("sum", Token.LITERAL1);
            sqlKeywords.add("stddev", Token.LITERAL1);
            sqlKeywords.add("variance", Token.LITERAL1);
            
        }
        return sqlKeywords;
    }
    
    private static KeywordMap sqlKeywords;
}








