/*
 * 11/01/2002
 *
 * ElifeMenuItem
 * Auteur: Vouriot Thierry (Yeri)
 * Email: yeri@fr.st, thierry.vouriot@free.fr
 * Web: http://www.yeri.fr.st
 *
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tvouriot.elife.menus;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import tvouriot.elife.Elife;

/** <CODE>JMenuItem</CODE> spcifique  Elife
 */
public class ElifeMenuItem extends JMenuItem {
    
    /** Constructeur
     * @param label Texte
     */    
    public ElifeMenuItem(String label) {
        super(label);
        init();
    }
    
    /** Constructeur
     * @param label texte
     * @param icon icne
     */    
    public ElifeMenuItem(String label,ImageIcon icon) {
        super(label,icon);
        init();
    }
    
    /** Constructeur
     * @param label texte
     * @param icon icne
     * @param mnemonic touche de raccourci
     */    
    public ElifeMenuItem(String label,ImageIcon icon,int mnemonic) {
        super(label,icon);
        this.setMnemonic(mnemonic);
        init();
    }
    
    /** Constructeur
     * @param label texte
     * @param mnemonic touche de raccourci
     */    
    public ElifeMenuItem(String label,int mnemonic) {
        super(label,mnemonic);
        init();
    }
    
    /** Initialisation
     */    
    private void init() {
        if (Elife.isFlatMenus())
            setBorder(new javax.swing.border.EmptyBorder(2, 2, 2, 2));
    }
}
